
Packaging - Tasks #1009
Provide Homebew Formulas for RSX
06/19/2012 05:06 PM - S. Wrede

Status: Closed Start date: 06/19/2012
Priority: Normal Due date:
Assignee: S. Wrede % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Homebrew is an easy-to-use package manager that ties into MacOS and provides extensions which are usually compiled from
scratch. Extensions are installed through simple build scripts, so called formulas.

While we may later try to get into the master repository, as a first step we can use the 'brew tap' feature to be installable using this
system. Required steps:

    -  Create build jobs to create pure source archives for stable versions ✓
    -  Create formulas for RSC ✓, RSB ✓, RSB-Protocol ✓
    -  Create formulas for RSBTools ✓, CL-Tools, RSBPython?
    -  Push formulas into github repo ✓
    -  Update documentation
    -  Test at least by a single user (Alexandre? David?) ✓
    -  Change formulas to use artifacts from -0.7 jobs ✓

Later on other parts of the RSX stack may also be supported.

History
#1 - 06/19/2012 05:06 PM - S. Wrede
- % Done changed from 0 to 30

#2 - 06/19/2012 05:41 PM - J. Moringen
- Project changed from Robotics Service Bus to Packaging
- Category deleted (C++)

#3 - 06/19/2012 06:12 PM - S. Wrede

Maybe we should rename the project to "Packaging and Deployment" (as this issue is not so much about binaries...).

#4 - 06/20/2012 02:58 PM - S. Wrede
- Description updated

Tap for homebrew with intial versions of RSB formulas now available at: https://github.com/swrede/homebrew-formulas

#5 - 06/20/2012 02:58 PM - S. Wrede
- % Done changed from 30 to 50

#6 - 07/13/2012 11:30 AM - J. Moringen
- Description updated
- Status changed from New to In Progress
- % Done changed from 50 to 70

#7 - 08/04/2012 07:01 PM - J. Moringen
- Target version changed from rsb-0.7 to rsb-0.9

#8 - 08/23/2012 10:30 PM - S. Wrede
- Description updated
- % Done changed from 70 to 80

Formulas added for the cpp RSB Tools, RST and initial parts of the AMARSi libraries, e.g., RCI and some upstream dependencies not available in
homebrew (eigen2, NemoMath).

cf. https://github.com/swrede/homebrew-formulas

#9 - 11/03/2012 01:55 PM - S. Wrede
- Status changed from In Progress to Closed
- % Done changed from 80 to 100

Basic formulae are there and working. Further issues to be handled in seperate tickets.
